Issue 97388 - Crash while set the "Max. base text size" to 0 in "Text Grid"
Summary: Crash while set the "Max. base text size" to 0 in "Text Grid"
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: editing (show other issues)
Version: DEV300m37
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks: 84292
  Show dependency tree
 
Reported: 2008-12-18 09:14 UTC by doze_worm
Modified: 2013-08-07 14:43 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description doze_worm 2008-12-18 09:14:43 UTC
[Steps]
1. Create a write doc.
2. "Format -> Page...", choose "Text Grid" Tab in the pop-up "Page
Style:Default" Dialogbox, select "Grid(lines only)" or "Grid(lines and
Charactors)" in "Grid" region.
3. Type 0 in "Max. base text size" textbox, "Grid layout" region. Then
left-click OK button.

[Result]
Crash and quit

[Expectedness]
Give out a warning and prevent 0 value, rather than crash.
Comment 1 michael.ruess 2008-12-19 17:09:18 UTC
MRU->OS: as described, enter 0 for "max base text size" in the Asian Grid page
in the format.page dialog -> crash.
Comment 2 Oliver Specht 2008-12-29 14:15:34 UTC
Fixed in cws os124 in 
sw/source/ui/misc/pggrid.src

There has been a second crash:
- switch off "Use square page mode for text grid" in Tools/Options/OOo
Writer/General
- in Format/Page/Text Grid set Character width to 0,00 pt and press OK

Both have been fixed by defining a minimum of 1,00 pt for the fields.
Comment 3 Oliver Specht 2009-01-14 13:06:44 UTC
Reassigned for verification
Comment 4 michael.ruess 2009-01-15 16:35:13 UTC
Verified fix in CWS os124.
Comment 5 michael.ruess 2009-01-28 12:27:19 UTC
Checked in DEV300m40.